Cannot Find X11

Post Reply
OspreyNeurons
Posts: 6
Joined: Wed May 22, 2013 12:49 am

Cannot Find X11

Post by OspreyNeurons » Sun May 26, 2013 8:07 pm

Hello all, I am new to this program/forum so please pardon my limited knowledge of running Neuron. My issue arose when trying to run a model that was initially compiled and run on a Windows machine. I thought it may have something to do with now trying to run it on a Mac but that doesn't seem to be why most of these issues arise. I found instructions on compiling the standard distribution under OS x (http://www.neuron.yale.edu/neuron/downl ... sx#prereqs) and thought maybe following them would correct my error. I am not certain if it will or not because I am being halted when trying to set up the interview.

It stops when trying to detect X:
checking sys/conf.h presence... yes
checking for sys/conf.h... yes
checking for X... no
configure: error: cannot find X11

I saw a post about this same issue that said you should have libsm-devel and python-devel. I have xQuartz, does this give me what I need? I downloaded libsm-devel and python-devel development packages with .rpm but I don't know what to do with them now.

Can somebody please point me in the right direction with this?

I am running Snow Leopard 10.6.8 with Neuron 7.3 (32bit). My original error was when I tried to open the model .hoc file and received this message:
error
in NSClusterTest_2011.hoc near line 209
forall insert na
^

Again please forgive my lack of understanding as I am sure this question has been answered many times.

Thanks,
Kevin

hines
Site Admin
Posts: 1467
Joined: Wed May 18, 2005 3:32 pm

Re: Cannot Find X11

Post by hines » Mon May 27, 2013 7:30 am

I am running Snow Leopard 10.6.8 with Neuron 7.3 (32bit). My original error was when I tried to open the model .hoc file and received this message:
error
in NSClusterTest_2011.hoc near line 209
forall insert na
^
The snow leopard 32 bit version of NEURON uses the CARBON library and does not use X11.
http://www.neuron.yale.edu/ftp/neuron/v ... SX10.6.dmg
Since you see an error when trying to insert a channel I suspect you have not processed the
mod files into a dynamically loaded library. Did you drag the folder containing your mod files onto the mknrndll icon?

The prereqs file you refer to, needs to make it clear that its instructions are for 10.7 and above.
With regard to building an x11 version under 10.6.8, if you are still interested, I can look back on how I did it on my mac and let you know which x11 I used. At the moment
I don't know if there even is an xquartz for 10.6.8.

OspreyNeurons
Posts: 6
Joined: Wed May 22, 2013 12:49 am

Re: Cannot Find X11

Post by OspreyNeurons » Mon May 27, 2013 10:28 am

Thanks Hines,

I saw that the instructions were for 10.7 and above however I figured some of the same things would be required. Initially when I would drag the mod files onto the mknrndll I would get a make command error. After downloading a gcc, the mercurial program, and following the autoconf, automake, and libtools instructions I could successfully 'compile?' the mod files. So I believe the *first few instructions* still apply to Mac OSx 10.6.8.

I however was not dragging and dropping the complete folder onto the mknrndll, only the individual .mod files. I dropped the whole folder on the mknrndll this morning then attempted to run the 'model'.hoc file and it worked!

Thank you very much!
Last edited by OspreyNeurons on Mon May 27, 2013 6:24 pm, edited 1 time in total.

ted
Site Admin
Posts: 5114
Joined: Wed May 18, 2005 4:50 pm
Location: Yale University School of Medicine
Contact:

Re: Cannot Find X11

Post by ted » Mon May 27, 2013 1:56 pm

hines wrote:
I am running Snow Leopard 10.6.8
. . .
. . .
The prereqs file you refer to, needs to make it clear that its instructions are for 10.7 and above.
The first sentence on the page that lists the "prerequisites" in question is already pretty explicit:
"These instructions assume that you are compiling for OS X 10.7 (Lion) or 10.8 (Mountain Lion)"
However, it might be useful to insert a link to instructions for users of 10.6.

YK_RiceU

Re: Cannot Find X11

Post by YK_RiceU » Fri Mar 28, 2014 3:33 pm

Hi.
I am using OS X 10.9.2
But I have same problem :

"checking for X... no
configure: error: cannot find X11"

I installed XQuartz.

"
$ which X11
$ which X
/opt/X11/bin/X "

And same problem was occurred in my ubuntu13 os.
Need someone to help me out...

hines
Site Admin
Posts: 1467
Joined: Wed May 18, 2005 3:32 pm

Re: Cannot Find X11

Post by hines » Fri Mar 28, 2014 5:15 pm

For ubuntu you need
sudo apt-get install libxext-dev
and to get a complete development suite on a bare machine:
sudo apt-get install mercurial bison flex automake libtool g++ rpm
sudo apt-get install libxext-dev libncurses-dev python-dev
sudo apt-get install cython alien
sudo apt-get install xfonts-100dpi #helvetica
sudo apt-get install xfonts-75dpi #for some special idraw I like

with regard to mavericks condsider the log message at
http://www.neuron.yale.edu/hg/neuron/nr ... 0f78755a30
and if you are instlling from a dmg try
http://www.neuron.yale.edu/ftp/neuron/v ... y1.1.0.dmg
In particular I wonder if your command line tools are the most recent as well as XQuart which possibly have some mavericks specific fixes..

Post Reply